<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HackingFormulas](./bitburner.hackingformulas.md) &gt; [hackExp](./bitburner.hackingformulas.hackexp.md)

## HackingFormulas.hackExp() method

Calculate hack exp for one thread.

**Signature:**

```typescript
hackExp(server: Server, player: Person): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  server | [Server](./bitburner.server.md) | Server info, typically from [getServer](./bitburner.ns.getserver.md) |
|  player | [Person](./bitburner.person.md) | Player info, typically from [getPlayer](./bitburner.ns.getplayer.md) |

**Returns:**

number

The calculated hack exp.

## Remarks

Multiply by thread to get total exp

